# Module methods

## getConfig( key ) <a href="#getconfig" id="getconfig"></a>

Gets a configuration value.

* **`key`** The configuration key

**Returns:** The configuration value.

## init

Initializes the module, called automatically when the module is loaded. Contains any specific initialization for the module, and any required loading of modules and classes dependencies.

**Returns:** A boolean specifying whether the module was initialized ok or failed.

## mapActions

Maps the Actions to which this module must respond. Intended to contain calls to Actions::mapAction()


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cherrycake.tin.cat/version-1.x-beta/reference/core-classes/module/methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
